Bug 472737 - (CVE-2008-5285) CVE-2008-5285 wireshark: DoS (infinite loop) in SMTP dissector via large SMTP request
CVE-2008-5285 wireshark: DoS (infinite loop) in SMTP dissector via large SMTP...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20081122,reported=20081123,sou...
: Security
Depends On: 486548 486549 486550 486551 486552 833990
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 04:41 EST by Jan Lieskovsky
Modified: 2016-03-04 06:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 02:48:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-11-24 04:41:56 EST
A security flaw was found in the Wireshark's SMTP dissector -- routines for SMTP packet disassembly. A remote attacker could use this flaw to cause a denial of service (infinite loop) via sending a large SMTP request to port 25.

References:
http://packetstormsecurity.org/0811-advisories/wireshark104-dos.txt
http://www.securityfocus.com/archive/1/498562/30/0/threaded
http://www.nabble.com/-SVRT-04-08--Vulnerability-in-WireShark-1.0.4-for-DoS-Attack-td20640164.html

Proposed upstream patches:
http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-smtp.c?r1=24989&r2=24988&pathrev=24989&view=patch
http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-smtp.c?r1=24994&r2=24993&pathrev=24994&view=patch
Comment 1 Jan Lieskovsky 2008-12-02 07:52:04 EST
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw. More information regarding
issue severity can be found here:

http://www.redhat.com/security/updates/classification/
Comment 4 Red Hat Product Security 2009-03-05 02:48:40 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2009-0313.html

Note You need to log in before you can comment on or make changes to this bug.